Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020818
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2012-06-20 16:302012-07-10 10:35
ReporterplujanView Statuspublic 
Assigned Tonaiaramartinez 
PrioritynormalResolutionfixedFixed in Version3.0MP14
StatusclosedFix in branchpiFixed in SCM revision2e48b8785e56
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020818: When a Sales Invoice has its payments completed, three empty fields are displayed

DescriptionWhen completing the payments for a Sales Invoice, the captions for the fields "Percentage Paid Late", "Paid in Full Date" and "Days to Pay in Full" are shown.
Steps To Reproduce1. Create and invoice
2. Create a Payment for that invoice. Payment should be created in Awaiting Execution status
3. The Sales Invoice shows some values in Payment monitor section (see top part of the attached screenshot)
4. Go to Payment In and execute the Payment
5. Return to Sales Invoice window and refresh
6. Previous shown fields are not present but some captions without fields are shown (see bottom part of the screenshot)
TagsNo tags attached.
Attached Filespng file icon Screenshot.png [^] (114,313 bytes) 2012-06-20 16:30

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0050316)
naiaramartinez (developer)
2012-07-02 13:04

Test Plan 1:
  Go to Sales Invoice window and create new header:
      Business partner: Healthy food Supermarkets, Co.
      Invoice Date: 02-02-2012
      Payment Terms: 30days
  Go to lines tab and create new line. (total gross amount 10.36)
  Complete the invoice.

  Press Add Payment button, and add a partial payment:
       Payment date: 05-02-2012
       Actual Payment: 5.18
  Press Add Payment button, and add a payment:
       Payment date: today
       Actual Payment: 5.18

  Notice that Percentage Paid Late, Paid in Full date and Dys to Pay in Full are filled correctly.



Test Plan 2:
  Configure the automatic payment.
  Go to Sales Invoice window and create new header:
      Business partner: Healthy food Supermarkets, Co.
      Invoice Date: 02-02-2012
      Payment Terms: 30days
  Go to lines tab and create new line. (total gross amount 10.36)
  Complete the invoice.

  Notice that Percentage Paid Late, Paid in Full date and Dys to Pay in Full are filled correctly.
(0050381)
hgbot (developer)
2012-07-06 09:45

Repository: erp/devel/pi
Changeset: 40e6ff497d2561eda5b0cddcdafc07b5b6bc6389
Author: Naiara Martinez <naiara.martinez <at> openbravo.com>
Date: Mon Jul 02 13:13:59 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/40e6ff497d2561eda5b0cddcdafc07b5b6bc6389 [^]

Fixed bug 20818 update PercentageOverDue,DaysOutStanding and FinalSettlementDate

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
---
(0050382)
hgbot (developer)
2012-07-06 09:46

Repository: erp/devel/pi
Changeset: 2e48b8785e5693ae326aa9334e73bfd638f9ada7
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Jul 06 09:45:07 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2e48b8785e5693ae326aa9334e73bfd638f9ada7 [^]

Fixed bug 20818: implemented code review
- Optimized code that calculates overdue amount
- Implemented code that properly gets the current PSD
- Percentage Paid Late field is only displayed if != 0

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
M src-db/database/sourcedata/AD_FIELD.xml
---
(0050383)
vmromanos (developer)
2012-07-06 10:02

Alternative test plan I:
1. Create a Sales Invoice for Healthy food Supermarkets, payment term 30 days
2. Enter a line, amount=100, and complete it
3. Press Add Payment button and introduce 20 USD. Payment date = today. Select leave this as an underpayment
4. In the payment monitor section, the Percentage Paid Late is not shown
5. Press Add Payment button and introduce 50 USD. Payment date = 2014 year. Select leave this as an underpayment.
6. In the payment monitor section, the Percentage Paid Late shows 50% (which is the amount we have paid after the due date)
7. Now fully pay the invoice. Payment date= today.
8. In the payment monitor section, the Percentage Paid Late shows 50% (which is the amount we have paid after the due date), and the Paid in Full Date and Days to pay in full fields reflect the day we have introduced in step 5.

Alternative test plan II:
1. Repeat test plan I for purchase invoices
(0050384)
vmromanos (developer)
2012-07-06 10:02

Code review + testing OK
(0050428)
hudsonbot (developer)
2012-07-10 10:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f5eedec4e1a [^]

Maturity status: Test
(0050429)
hudsonbot (developer)
2012-07-10 10:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f5eedec4e1a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-20 16:30 plujan New Issue
2012-06-20 16:30 plujan Assigned To => mirurita
2012-06-20 16:30 plujan File Added: Screenshot.png
2012-06-20 16:30 plujan Modules => Core
2012-06-26 12:38 Sandrahuguet Assigned To mirurita => Sandrahuguet
2012-06-29 12:32 Sandrahuguet Assigned To Sandrahuguet => naiaramartinez
2012-07-02 12:52 naiaramartinez Status new => scheduled
2012-07-02 12:52 naiaramartinez fix_in_branch => pi
2012-07-02 13:04 naiaramartinez Note Added: 0050316
2012-07-06 09:45 hgbot Checkin
2012-07-06 09:45 hgbot Note Added: 0050381
2012-07-06 09:45 hgbot Status scheduled => resolved
2012-07-06 09:45 hgbot Resolution open => fixed
2012-07-06 09:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/40e6ff497d2561eda5b0cddcdafc07b5b6bc6389 [^]
2012-07-06 09:46 hgbot Checkin
2012-07-06 09:46 hgbot Note Added: 0050382
2012-07-06 09:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/40e6ff497d2561eda5b0cddcdafc07b5b6bc6389 [^] => http://code.openbravo.com/erp/devel/pi/rev/2e48b8785e5693ae326aa9334e73bfd638f9ada7 [^]
2012-07-06 10:02 vmromanos Note Added: 0050383
2012-07-06 10:02 vmromanos Note Added: 0050384
2012-07-06 10:02 vmromanos Status resolved => closed
2012-07-06 10:02 vmromanos Fixed in Version => 3.0MP14
2012-07-10 10:35 hudsonbot Checkin
2012-07-10 10:35 hudsonbot Note Added: 0050428
2012-07-10 10:35 hudsonbot Checkin
2012-07-10 10:35 hudsonbot Note Added: 0050429


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker